--- 4.5.21/exim.conf-SpamBlockerTechnology-v4.5.21.txt	2020-01-28 13:00:30.838010195 -0700
+++ 4.5.22/exim.conf-SpamBlockerTechnology-v4.5.22.txt	2020-02-10 16:09:14.800931078 -0700
@@ -1,4 +1,4 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.21
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.22
 # August 15, 2018
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
@@ -366,6 +366,12 @@
 
   drop  authenticated = *
         condition = ${if exists{BLACKLIST_SMTP_USERNAMES}}
+        condition = ${lookup{$authenticated_id}lsearch{BLACKLIST_SMTP_USERNAMES}{1}{0}}
+        message = USER_ON_BLACKLIST_SMTP
+        logwrite = E-Mail account $authenticated_id is blocked via BLACKLIST_SMTP_USERNAMES
+
+  drop  authenticated = *
+        condition = ${if exists{BLACKLIST_SMTP_USERNAMES}}
         set acl_m_uid = ${perl{find_uid_auth_id}{$authenticated_id}}
         set acl_m_username = ${perl{get_username}{$acl_m_uid}}
         condition = ${if !eq {$acl_m_uid}{-1}{yes}{no}}
